<?php
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/file_function.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/data_filter.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/SimpleImage.php");

$filename = isset($_GET['src']) ? $_SERVER["DOCUMENT_ROOT"] . base64_decode($_GET['src']) : false;

if (in_array(get_extfile($filename), ['jpg', 'png']) && exif_imagetype($filename)) {

    $x = isset($_GET['x']) ? intval($_GET['x']) : 100;
    $y = isset($_GET['y']) ? intval($_GET['y']) : 100;

    $image = new SimpleImage($filename);

    if ($x == 0) {

        $image->resizeToHeight($y);

    } elseif ($y == 0) {

        $image->resizeToWidth($x);

    } else {

        $image->resize($x, $y);

    }

    $image->output();

} else {

    header("Content-type: image/png");

    $img = imagecreate(176, 24);
    imagecolorallocate($img, 255, 255, 255);
    $color = imagecolorallocatealpha($img, random_int(50, 210), random_int(50, 210), random_int(50, 210), random_int(10, 30));
    imagestring($img, 5, 5, 3, 'Image Layout Error', $color);
    imagepng($img);
    imagedestroy($img);

}
 ?>