<?php
$title = 'Чат';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">Чат</div>';

    $stmt_num = $connect->prepare("select count(*) from `guest` where `id` = ?");
    $guest = $connect->prepare("insert into `guest` set `date` = ?, `uid` = ?, `text` = ?");
    $strow = $connect->prepare("select * from `guest` where `id` = ?");

    include($_SERVER["DOCUMENT_ROOT"]."/inc/smiles_bb.php");

    if (isset($_GET['edit'])) {
        $stmt_num_edit = $connect->prepare("select count(*) from `guest` where `date` > ? and `uid` = ? and `id` = ?");
        $stmt_num_edit->execute(array(time() - 60, $user['id'], $_GET['edit']));
        if ($stmt_num_edit->fetchColumn()) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['yes'])) {
                $error = '';
                if (empty($_POST['text'])) {
                    $error.= 'Введите сообщение!<br/>';
                }
                elseif (mb_strlen($_POST['text']) < 2) {
                    $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                }
                elseif (mb_strlen($_POST['text']) > 2500) {
                    $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                }
                if ($error) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("update `guest` set `text` = ? where `id` = ? limit 1");
                    if ($stmt->execute(array($_POST['text'], $_GET['edit']))) {
                        header('Location: /chat');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            elseif (isset($_POST['no'])) {
                header('Location: /chat');
            }
            echo '<div class="menu">
            <form action="" method="POST">
            Сообщение:<br/><textarea name="text" rows="5" cols="25">'.$row['text'].'</textarea><br/>
            <input type="submit" name="yes" value="Сохранить ('.intval($_GET['edit']).')"/>
            <input type="submit" name="no" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /chat');
        }
    }
    elseif (isset($_GET['cit'])) {
        $stmt_num->execute(array($_GET['cit']));
        if ($stmt_num->fetchColumn()) {
            $strow->execute(array($_GET['cit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['yes'])) {
                $error = '';
                if ($user['datereg'] > time() - 3600 * $sys['system']['fludtime'] && $adm_id == 0) {
                    $error.= 'Для возможности отправлять сообщения с момента регистрации должно пройти: '.restime(3600 * $sys['system']['fludtime']).'!<br/>';
                }
                elseif (isset($_SESSION['guest_add']) && $_SESSION['guest_add'] > time() - $sys['system']['antiflud']) {
                    $error.= 'Антифлуд! Лимит - '.quantDec($sys['system']['antiflud'], ['секунда', 'секунды', 'секунд']).'!<br/>';
                }
                elseif (empty($_POST['text'])) {
                    $error.= 'Введите сообщение!<br/>';
                }
                elseif (mb_strlen($_POST['text']) < 2) {
                    $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                }
                elseif (mb_strlen($_POST['text']) > 2500) {
                    $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                }
                if ($error) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    if ($guest->execute(array(time(), $user['id'], $_POST['text']))) {
                        if ($row['uid'] != $user['id'])
                            notification('[b]'.$user['login'].'[/b] процитировал ваше сообщение в [url='.ROOT.'/chat]Чате[/url].', $row['uid']);
                        ratingUser($sys['rating']['chat'], $user['id']);
                        $_SESSION['guest_add'] = time();
                        header('Location: /chat');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            elseif (isset($_POST['no'])) {
                header('Location: /chat');
            }
            echo '<div class="menu">
            <form action="" method="POST">
            Сообщение:<br/>
            <textarea name="text" rows="5" cols="25">[cit]'.str_replace(['[cit]', '[/cit]'], null, '[u]'.(user($row['uid']) ? user($row['uid'])['login'] : 'DELETED').'[/u] ('.daytime($row['date']).')[br]'.$row['text']).'[/cit][br]</textarea><br/>
            <input type="submit" name="yes" value="Цитировать ('.intval($_GET['cit']).')"/>
            <input type="submit" name="no" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /chat');
        }
    } else {
        if (isset($_POST['refresh'])) {
            header('location: /chat');
        }
        elseif (isset($_POST['addmess'])) {
            $error = '';
            if ($user['datereg'] > time() - 3600 * $sys['system']['fludtime'] && $adm_id == 0) {
                $error.= 'Для возможности отправлять сообщения с момента регистрации должно пройти: '.restime(3600 * $sys['system']['fludtime']).'!<br/>';
            }
            elseif (isset($_SESSION['guest_add']) && $_SESSION['guest_add'] > time() - $sys['system']['antiflud']) {
                $error.= 'Антифлуд! Лимит - '.quantDec($sys['system']['antiflud'], ['секунда', 'секунды', 'секунд']).'!<br/>';
            }
            elseif (empty($_POST['text'])) {
                $error.= 'Введите сообщение!<br/>';
            }
            elseif (mb_strlen($_POST['text']) < 2) {
                $error.= 'Текст должен содержать не менее 2 символов!<br/>';
            }
            elseif (mb_strlen($_POST['text']) > 2500) {
                $error.= 'Текст должен содержать не более 2500 символов!<br/>';
            }
            if ($error) {
                echo '<div class="menu">'.$error.'</div>';
            } else {
                if ($guest->execute(array(time(), $user['id'], $_POST['text']))) {
                    if (isset($_GET['ans']) && $_GET['ans'] != $user['id'])
                        notification('[b]'.$user['login'].'[/b] ответил вам в [url='.ROOT.'/chat]Чате[/url].', $_GET['ans']);
                    ratingUser($sys['rating']['chat'], $user['id']);
                    $_SESSION['guest_add'] = time();
                    header('Location: /chat');
                } else {
                    echo '<div class="menu">Ошибка при добавлении сообщения!</div>';
                }
            }
        }
        echo '<form name="form" action="" method="POST">
        <div class="menu">Сообщение:<br/><textarea name="text" rows="5" cols="25">'.(isset($_GET['ans']) && user($_GET['ans']) && $_GET['ans'] != $user['id'] ? '[b]'.user($_GET['ans'])['login'].'[/b], ' : '').'</textarea><br/>
        <input type="submit" name="addmess" value="Написать"/>
        <input type="submit" name="refresh" value="Обновить">
        </form></div>';
    }

    // модератору
    if ($adm_id == 1 || $adm_id == 3 || $adm_id == 5) { 
        if (isset($_GET['del'])) {
            $stmt_num->execute(array($_GET['del']));
            if ($stmt_num->fetchColumn()) {
                if (isset($_POST['yes'])) {
                    $stmt = $connect->prepare("delete from `guest` where `id` = ?");
                    if ($stmt->execute(array($_GET['del']))) {
                        header('Location: /chat');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /chat');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/>
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            } else {
                header('Location: /chat');
            }
        }
        elseif (isset($_GET['clear'])) {
            if (isset($_POST['yes'])) {
                if ($connect->exec("delete from `guest`")) {
                    header('Location: /chat');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['no'])) {
                header('Location: /chat');
            }
            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="yes" value="Подтвердить очистку чата"/>
            <input type="submit" name="no" value="Отмена"/>
            </form></div>';
        } else {
            echo '<div class="forlink"><a href="?clear" class="links"><img src="/img/clear.png" alt="clear">Очистить чат</a></div>'; 
        }
    }

    if ($count_chat == 0) {
        echo '<div class="menu">Сообщений нет!</div>';
    } else {

        $page = new Pagination($count_chat, 10);

        $data = $connect->prepare("select * from `guest` order by `id` desc limit :start, 10");
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            echo '<div class="menu">'.profileLink($row['uid']).' ('.daytime($row['date']).')<span class="online">'.online($row['uid']).'</span>
            <div class="butt1">
            '.(user($row['uid']) && $row['uid'] != $user['id'] ? '<a href="?ans='.$row['uid'].'">Отв.</a>' : '').'<a href="?cit='.$row['id'].'">Цит.</a>'.($row['date'] > time() - 60 && $row['uid'] == $user['id'] ? '<a href="?edit='.$row['id'].'">Ред.</a>' : '').
            (($adm_id == 1 || $adm_id == 3 || $adm_id == 5) ? '<a href="?del='.$row['id'].'">Уд.</a>' : '').'
            </div><hr/>'.nl2br(smiles(bb(bblinks($row['text'])))).'</div>';

        }

        $page->navigation();

    }

    // Кто в чате?
    $congestion = congestion($_SERVER['PHP_SELF']);
    if ($congestion)
        echo '<div class="foot-menu">Сейчас в чате ('.count($congestion).'): '.congestionOutputLinks($congestion, 25).'</div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>