<?php
$title = 'Сообщения';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">Сообщения ('.$count_mail . $new_mail.')</div>
    <div class="forlink"><a href="/mail/write" class="links"><img src="/img/write.png" alt="">Новое сообщение</a></div>';

    $stmt_new = $connect->prepare("select count(*) from `mail` where `to` = ? and `from` = ? and `read` = '0'");
    $clean = $connect->prepare("delete from `mail` where `from` = :user and `to` = :who or `from` = :who and `to` = :user");
    $delete = $connect->prepare("delete from `contacts` where `from` = :from and `to` = :to or `from` = :to and `to` = :from");

    if (isset($_GET['del'])) {
        if (!user($_GET['del'])) {
            header('location: /mail');
        } else {
            if ($_GET['del'] == $user['id']) {
                header('location: /mail');
            } else {
                if (isset($_POST['cancel'])) {
                    header('location: /mail');
                }
                elseif (isset($_POST['submit'])) {
                    // Удаляем сообщения
                    $clean->execute(array(':user' => $_GET['del'], ':who' => $user['id']));
                    // Удаляем контакт
                    $delete->execute(array(':from' => $_GET['del'], ':to' => $user['id']));
                    header('location: /mail');
                } else {
                    echo '<div class="menu">
                    <form action="" method="POST">
                    <input type="submit" name="submit" value="Удалить контакт">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
            }
        }
    }

    if ($count_mess == 0) {
        echo '<div class="menu">Контактов нет.</div>';
    } else {

        $page = new Pagination($count_mess, 10);

        $data = $connect->prepare("select * from `contacts` where `from` = :uid or `to` = :uid order by `time` desc limit :start, 10");
        $data->bindValue(':uid', $user['id'], PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            // контакт
            $contact = $row['from'] == $user['id'] ? $row['to'] : $row['from'];
            // новые сообщения
            $stmt_new->execute(array($user['id'], $contact));
            $mail = $stmt_new->fetchColumn();

            echo '<div class="menu">
            Контакт: '.profileLink($contact).'<br/>
            Новых сообщений: '.$mail.'<br/>
            <div class="butt2">
            <a href="/mail/read/'.$contact.'">Читать</a>
            <a href="?del='.$contact.'">Удалить</a>
            </div>
            </div>';

        }

        $page->navigation();

    }

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>