<?php

/* WapKassa */

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/function.php");

if ($sys['payment']['wpk_id'] && $sys['payment']['wpk_hash']) {

    $strow = $connect->prepare("select * from `plus` where `num` = ?");
    $del = $connect->prepare("delete from `plus` where `num` = ?");

    if (isset($_POST['WK_PAY_ID']) &&
        isset($_POST['WK_PAY_AMOUNT']) &&
        isset($_POST['WK_PAY_TIME']) &&
        isset($_POST['WK_PAY_HASH'])) {

        /* Проверка */

        $strow->execute(array($_POST['WK_PAY_ID']));
        $row = $strow->fetch(PDO::FETCH_LAZY);

        if (!$row)
            exit('ERR: ПОПЫТКА ПОДМЕНЫ ПЛАТЕЖА!');

        if ($row['sum'] != $_POST['WK_PAY_AMOUNT'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ СУММЫ!');

        $hash = strtoupper(hash('sha256',

            $sys['payment']['wpk_id'].
            $_POST['WK_PAY_AMOUNT'].
            $_POST['WK_PAY_TIME'].
            $sys['payment']['wpk_hash']

        ));

        if ($hash != $_POST['WK_PAY_HASH'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ КОНТРОЛЬНОЙ ПОДПИСИ!');
 
        // рейтинг
        ratingUser($sys['rating']['plus'], $row['uid']);

        // реферальное начисление

        $ref = user(user($row['uid'])['ref']);

        $ref_money = $row['sum'] / 100 * $sys['system']['ref_cash'];

        if ($ref && $ref_money > 0) {

            notification('Зачислено на баланс '.quantDec($ref_money, ['рубль', 'рубля', 'рублей']).' от реферала [b]'.$u_row['login'].'[/b]!', $ref['id']);

            pay($ref_money, $ref['id']);

        }

        // пополнение
        if (pay($row['sum'], $row['uid']))
            $del->execute(array($_POST['WK_PAY_ID']));

    }

}

 ?>