<?php

/* WorldKassa */

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/function.php");

if ($sys['payment']['wk_id'] && $sys['payment']['wk_hash']) {

    $strow = $connect->prepare("select * from `plus` where `num` = ?");
    $del = $connect->prepare("delete from `plus` where `num` = ?");

    if (isset($_POST['id_shop']) && is_numeric($_POST['id_shop']) &&
        isset($_POST['id_bill']) && is_numeric($_POST['id_bill']) &&
        isset($_POST['summa']) && is_numeric($_POST['summa']) &&
        isset($_POST['hash'])) {

        /* Проверка */

        $strow->execute(array($_POST['id_bill']));
        $row = $strow->fetch(PDO::FETCH_LAZY);

        if (!$row)
            exit('ERR: ПОПЫТКА ПОДМЕНЫ ПЛАТЕЖА!');

        if ($_POST['summa'] < $row['sum'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ СУММЫ!');

        $hash = md5(

            $sys['payment']['wk_hash'].
            $sys['payment']['wk_id'].
            $_POST['id_bill'].
            $_POST['summa']

        );

        if ($hash != $_POST['hash'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ КОНТРОЛЬНОЙ ПОДПИСИ!');
 
        // рейтинг
        ratingUser($sys['rating']['plus'], $row['uid']);

        // реферальное начисление

        $ref = user(user($row['uid'])['ref']);

        $ref_money = $row['sum'] / 100 * $sys['system']['ref_cash'];

        if ($ref && $ref_money > 0) {

            notification('Зачислено на баланс '.quantDec($ref_money, ['рубль', 'рубля', 'рублей']).' от реферала [b]'.$u_row['login'].'[/b]!', $ref['id']);

            pay($ref_money, $ref['id']);

        }

        // пополнение
        if (pay($row['sum'], $row['uid']))
            $del->execute(array($_POST['id_bill']));

    }

}

 ?>