<?php
$title = 'Черный список';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">Черный список ('.$count_black.')</div>';

    $del_black = $connect->prepare("delete from `blacklist` where `uid` = ? and `black` = ?");
    $in_black = $connect->prepare("insert into `blacklist` set `uid` = ?, `black` = ?");
    $del_contact = $connect->prepare("delete from `contacts` where `from` = :from and `to` = :to or `from` = :to and `to` = :from");
    $del_mail = $connect->prepare("delete from `mail` where `from` = :user and `to` = :who or `from` = :who and `to` = :user");

    if (isset($_GET['del'])) {

        if (in_blacklist($user['id'], $_GET['del'])) {

            if (isset($_POST['cancel'])) {
                header('Location: /settings/blacklist');
            }
            elseif (isset($_POST['yes'])) {

                if ($del_black->execute(array($user['id'], $_GET['del']))) {

                    header('Location: /settings/blacklist');

                } else {

                    echo '<div class="menu">Произошла ошибка!</div>';

                }

            }

            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="yes" value="Удалить из ЧС">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';

        } else {
            header('Location: /settings/blacklist');
        }

    } else {

        if (isset($_POST['black'])) {

            $black = user($_POST['login'], 1);

            $error = '';

            if (empty($_POST['login'])) {
                $error.= 'Введите логин пользователя!<br/>';
            }
            elseif (!$black) {
                $error.= 'Пользователь с таким логином не найден в системе!<br/>';
            }
            elseif (in_blacklist($user['id'], $black['id'])) {
                $error.= 'Этот пользователь уже в ЧС!<br/>';
            }
            elseif ($_POST['login'] == $user['login']) {
                $error.= 'Нельзя добавлять себя в ЧС!<br/>';
            }
            if ($error) {
                echo '<div class="menu">'.$error.'</div>';
            } else {

                if ($in_black->execute(array($user['id'], $black['id'])) &&
                    $del_contact->execute(array(':from' => $user['id'], ':to' => $black['id'])) &&
                    $del_mail->execute(array(':user' => $user['id'], ':who' => $black['id']))) {

                    header('Location: /settings/blacklist');

                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }

            }

        }

        echo '<div class="menu">
        <form action="" method="POST">
        Пользователь:<br/><input type="text" name="login"><br/>
        <input type="submit" name="black" value="Добавить"/>
        </form></div>';

    }

    if ($count_black == 0) {
        echo '<div class="menu">Список пуст!</div>';
    } else {

        $page = new Pagination($count_black, 10);

        $data = $connect->prepare("select * from `blacklist` where `uid` = :uid order by `black` desc limit :start, 10");
        $data->bindValue(':uid', $user['id'], PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            echo '<div class="user-forlink">'.profileLink($row['black']).'<a href="?del='.$row['black'].'"><img src="/img/del.png" alt="del"></a></div>';

        }

        $page->navigation();

    }

    echo '<div class="forlink"><a href="/settings" class="links"><img src="/img/sett.png" alt="sett">Настройки</a></div>';
 
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>