<?php
$title = 'Хиты продаж';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($sys['modules']['shop'] == 1) {

    if ($all_sell > 0) {

        echo '<div class="title">Последние продажи</div>';

        $sql = $connect->query("select * from `purchase` order by `id` desc limit 3")->fetchAll();

        foreach ($sql as $row) {

            echo '<div class="forlink">
            <a href="/shop/product/'.$row['pid'].'" class="links">
            <img src="/img/product.png" alt="product">'.$row['name'].'
            <div class="chi">'.quantDec($row['sum'], ['рубль', 'рубля', 'рублей']).'</div>
            </a></div>';

        }

    }

    echo '<div class="title">Хиты продаж ('.$count_shop_hits.')</div>';

    if ($count_shop_hits == 0) {
        echo '<div class="menu">Продаж нет.</div>';
    } else {

        $page = new Pagination($count_shop_hits, 10);

        $data = $connect->prepare("select *, count(*) as `count`, sum(`sum`) as `summa` from `purchase` group by `pid` order by count(*) desc, sum(`sum`) desc limit :start, 10");
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            echo '<div class="forlink">
            <a href="/shop/product/'.$row['pid'].'" class="links">
            <img src="/img/product.png" alt="product">'.$row['name'].'
            <div class="chi">Продаж: '.$row['count'].' / '.quantDec($row['summa'], ['рубль', 'рубля', 'рублей']).'</div>
            </a></div>';

        }

        $page->navigation();

    }

    echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt="">Магазин скриптов</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");

?>