<?php
$title = 'Download';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");

if (isset($active) && $sys['modules']['shop'] == 1) {

    // Проверка покупки
    $purchase = $connect->prepare("select count(*) from `purchase` where `pid` = ? and `uid` = ?");
    $purchase->execute(array($id, $user['id']));

    // Проверка автора
    $seller = $connect->prepare("select count(*) from `shop` where `id` = ? and `seller` = ?");
    $seller->execute(array($id, $user['id']));
 
    if ($purchase->fetchColumn() || $seller->fetchColumn()) {

        // имя файла
        $fileshop = fileshop($id);

        // выдаем файл
        if ($fileshop) {

            $prefix = $sys['system']['shop_prefix'] . '_' . $user['login'] . '_';

            file_force_download($fileshop, $prefix, 1);

        } else {

            echo '<div class="title">ERROR</div>
            <div class="menu"><div class="forbidden">Не удалось открыть файл!</div></div>';

        }

    } else {
        header('Location: /shop/product/'.$id);
    }

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>