<?php
$title = 'Мои задания';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['modules']['task'] == 1) {

    echo '<div class="title">Мои задания ('.$count_user_tasks.')</div>
    <div class="forlink"><a href="/task/add" class="links"><img src="/img/add.png" alt="add">Создать задание</a></div>';

    $stmt_ans = $connect->prepare("select count(*) from `task_ans` where `status` = ? and `tid` = ?");

    if ($count_user_tasks == 0) {
        echo '<div class="menu">Нет заданий!</div>';
    } else {

        $page = new Pagination($count_user_tasks, 10);

        $data = $connect->prepare("select * from `task` where `uid` = :uid order by `id` desc limit :start, 10");
        $data->bindValue(':uid', $user['id'], PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            // в обработке
            $stmt_ans->execute(array(0, $row['id']));
            $answers = $stmt_ans->fetchColumn();

            echo '<div class="forlink">
            <a href="/task/view/'.$row['id'].'" class="links">
            '.($row['status'] == 2 ? '<img src="/img/block.png" alt="block">' : '<img src="/img/task.png" alt="task">').
            $row['name'].'<div class="chi">'.$answers.'</div>
            </a></div>';

        }

        $page->navigation();

    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>