<?php
$title = 'Выполнение заданий';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['modules']['task'] == 1) {

    $stmt_ans = $connect->prepare("select count(*) from `task_ans` where `status` = ? and `tid` = ? and `uid` = ?");
    $send = $connect->prepare("select count(*) from `task_ans` where `status` = '0' and `tid` = ?");

    echo '<div class="title">Выполнение заданий ('.$count_tasks.')</div>';

    if ($count_tasks == 0) {
        echo '<div class="menu">Заданий нет!</div>';
    } else {

        $page = new Pagination($count_tasks, 10);

        $data = $connect->prepare("select * from `task` where `status` = '1' and `col` > '0' and `uid` != :uid order by `cena` desc limit :start, 10");
        $data->bindValue(':uid', $user['id'], PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $stmt_ans->execute(array(0, $row['id'], $user['id']));
            $wait = $stmt_ans->fetchColumn();

            $stmt_ans->execute(array(1, $row['id'], $user['id']));
            $success = $stmt_ans->fetchColumn();

            $stmt_ans->execute(array(2, $row['id'], $user['id']));
            $fail = $stmt_ans->fetchColumn();

            $send->execute(array($row['id']));

            echo '<div class="forlink">
            <a href="/task/view/'.$row['id'].'" class="links">
            '.($wait ? '<img src="/img/wait.png" alt="wait">' : ($success ? '<img src="/img/done.png" alt="done">' : ($fail ? '<img src="/img/block.png" alt="block">' : '<img src="/img/task.png" alt="task">'))).
            $row['name'].
            ($send->fetchColumn() >= $row['col'] ? '<div class="chi">[!]</div>' : '').'
            <span class="count">'.$row['cena'].'</span>
            </a></div>';

        }

        $page->navigation();

    }

    echo '<div class="title">Меню</div>
    <div class="forlink"><a href="/task" class="links"><img src="/img/quest.png" alt="">Мои задания<div class="chi">'.$count_user_tasks.'</div></a></div>
    <div class="forlink"><a href="/task/stats" class="links"><img src="/img/stats.png" alt="">Статистика выполнений<div class="chi">'.$user_task_stat.'</div></a></div>
        <div class="forlink"><a href="/task/today" class="links"><img src="/img/stars.png" alt="stars">Активные сегодня<div class="chi">'.$active_task_users.'</div></a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>