<?php
$title = 'Настройки игр';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1 && $sys['modules']['games'] == 1) {

    echo '<div class="title">Настройки игр</div>';

    if (isset($_POST['settings'])) {
 
        $error = '';

        if (empty($_POST['loto'])) {
            $error.= 'Лотерея: укажите количество участников!<br/>';
        }
        if (empty($_POST['loto_cena'])) {
            $error.= 'Лотерея: укажите стоимость лотерейного билета!<br/>';
        }
        elseif ($_POST['loto_cena'] < 0.01) {
            $error.= 'Лотерея: стоимость лотерейного билета не может быть меньше 0.01!<br/>';
        }
        if (empty($_POST['num_min'])) {
            $error.= 'Угадай число: укажите минимальную ставку!<br/>';
        }
        elseif ($_POST['num_min'] < 0.01) {
            $error.= 'Угадай число: минимальная ставка не может быть меньше 0.01!<br/>';
        }
        if (empty($_POST['num_max'])) {
            $error.= 'Угадай число: укажите максимальную ставку!<br/>';
        }
        elseif ($_POST['num_max'] < $_POST['num_min']) {
            $error.= 'Угадай число: максимальная ставка не может быть меньше минимальной!<br/>';
        }
        if (empty($_POST['ptime'])) {
            $error.= 'Пирамида: укажите длительность игры!<br/>';
        }
        if (empty($_POST['pmin'])) {
            $error.= 'Пирамида: укажите минимальную начальную ставку!<br/>';
        }
        elseif ($_POST['pmin'] < 0.01) {
            $error.= 'Пирамида: минимальная начальная ставка в пирамиде не может быть меньше 0.01!<br/>';
        }
        if (empty($_POST['pmax'])) {
            $error.= 'Пирамида: укажите максимальную начальную ставку в пирамиде!<br/>';
        }
        elseif ($_POST['pmax'] < $_POST['pmin']) {
            $error.= 'Пирамида: максимальная начальная ставка не может быть меньше минимальной!<br/>';
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            // Лотерея
            $sys['system']['loto'] =  intval(abs($_POST['loto']));
            $sys['system']['loto_cena'] = floatval(abs($_POST['loto_cena']));

            // Угадай число
            $sys['system']['num_min'] = floatval(abs($_POST['num_min']));
            $sys['system']['num_max'] = floatval(abs($_POST['num_max']));

            // Пирамида
            $sys['system']['ptime'] = ceil(abs($_POST['ptime']));
            $sys['system']['pmin'] = floatval(abs($_POST['pmin']));
            $sys['system']['pmax'] = floatval(abs($_POST['pmax']));

            write_ini_file(FILE_CONFIG, $sys);

            header('Location: /adm/games');

        }

    }

    echo '<div class="menu">
    <form action="" method="POST">
    <div class="red-line-title">Лотерея</div>
      Количество участников:<br/><input type="text" name="loto" value="'.$sys['system']['loto'].'"><br/>
      Стоимость лотерейного билета:<br/><input type="text" name="loto_cena" value="'.$sys['system']['loto_cena'].'"><hr/>
    <div class="green-line-title">Угадай число</div>
      Минимальная ставка:<br/><input type="text" name="num_min" value="'.$sys['system']['num_min'].'"><br/>
      Максимальная ставка:<br/><input type="text" name="num_max" value="'.$sys['system']['num_max'].'"><hr/>
    <div class="blue-line-title">Пирамида</div>
      Длительность игры (в часах):<br/><input type="text" name="ptime" value="'.$sys['system']['ptime'].'"><br/> 
      Минимальная начальная ставка:<br/><input type="text" name="pmin" value="'.$sys['system']['pmin'].'"><br/>
      Максимальная начальная ставка:<br/><input type="text" name="pmax" value="'.$sys['system']['pmax'].'"><br/>
    <input type="submit" name="settings" value="Сохранить"><div class="chi">Цены указывайте в рублях.</div>
    </form></div>';

} else {
    header('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>