<?php
$title = 'Смайлы';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");

if ($adm_id == 1 || $adm_id == 5) {

    $dir = $_SERVER["DOCUMENT_ROOT"]."/img/smiles/";
    $scan = scandir($dir);
    $count_smiles = count($scan);

    echo '<div class="title">Смайлы (' . $count_smiles . ')</div>';

    if ($count_smiles == 0) {

        echo '<div class="menu">Смайлов нет.</div>';

    } else {

        if (isset($_GET['del_all'])) {
            if (isset($_POST['cancel'])) {
                header('Location: /adm/smiles');
            }
            elseif (isset($_POST['yes'])) {
                delete_files_dir($dir);
                header('Location: /adm/smiles'); 
            }
            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="yes" value="Удалить все смайлы"/> 
            <input type="submit" name="cancel" value="Отмена"/>
            </form></div>'; 
        }
        elseif (isset($_GET['del'])) {
            $filename = $dir . $_GET['del'];
            if (is_file($filename)) {
                if (isset($_POST['cancel'])) {
                    header('Location: /adm/smiles');
                }
                elseif (isset($_POST['yes'])) {
                    unlink($filename);
                    header('Location: /adm/smiles'); 
                }
                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="Удалить смайл (' . $_GET['del'] . ')"/> 
                <input type="submit" name="cancel" value="Отмена"/>
                </form></div>'; 
            } else {
                header('Location: /adm/smiles');
            }
        }

        echo '<div class="menu">';

        foreach ($scan as $smile) {

            if (is_file($dir . $smile)) {

                echo '<a href="?del=' . $smile . '"><img src="/img/smiles/' . $smile . '" alt="smile"></a>';

            }

        }

        echo '</div>
        <div class="forlink"><a href="?del_all" class="links"><img src="/img/delete.png" alt="delete">Удалить все смайлы</a></div>';

    }

    echo '<div class="title">Новые смайлы</div>';

    if (isset($_POST['submit'])) {

        $error = '';
 
        $reFiles = reArrayFiles($_FILES['filename']);

        if (isset($_SESSION['scr_time']) && $_SESSION['scr_time'] > time() - 30) {
            $error.= 'Нельзя загружать файлы чаще, чем раз в 30 секунд!<br/>';
        }
        elseif (count($reFiles) > 10) {
            $error.= 'Нельзя загружать более 10 файлов одновременно!<br/>';
        } else {
            foreach ($reFiles as $file) {
                if (file_exists($file['tmp_name'])) {
                    $file_find = 1; // файлы есть
                    if (!in_array(get_extfile($file['name']), ['jpg', 'png', 'gif']) || !exif_imagetype($file['tmp_name'])) {
                        $error.= $file['name'] . ': неверный тип файла!<br/>';
                    }
                    elseif (file_exists($dir . rus2translit($file['name']))) {
                        $error.= $file['name'] . ': смайл с таким именем уже есть!<br/>';
                    }
                    if ($file['size'] > 1024 * 32) {
                        $error.= $file['name'] . ': максимальный размер файла - 32 Kb!<br/>';
                    }
                }
            }
            if (!isset($file_find)) {
                $error.= 'Выберите хотя бы один файл!<br/>';
            }
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            foreach ($reFiles as $file) {
                if (file_exists($file['tmp_name'])) {
                    // Заливаем
                    $full_path = $dir . rus2translit($file['name']);
                    move_uploaded_file($file['tmp_name'], $full_path);
                }
            }

            $_SESSION['scr_time'] = time();

            header('Location: /adm/smiles');

        }
    }

    echo '<div class="menu">
    <form action="" method="POST" enctype="multipart/form-data" name="form">
    <input type="file" name="filename[]" id="file"><br/>
    <input type="file" name="filename[]" id="file"><br/>
    <input type="file" name="filename[]" id="file"><br/>
    <div class="butt1" id="pre"><a href="javascript:AddFile()">Добавить еще</a></div><br/>
    <input type="submit" name="submit" value="Загрузить">
    </form></div>';

} else {
    header ('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>