<?php

$needs = '7.0.0'; // Нужная версия PHP

$extensions = ['Core', 'date', 'openssl', 'pcre', 'curl', 'dom', 'libxml', 'hash', 'filter', 'SPL', 'session', 'standard', 'mbstring', 'fileinfo', 'gd', 'exif', 'PDO', 'pdo_mysql', 'zip']; // Расширения

$error = NULL;

/* Проверка версии PHP */

if (version_compare(PHP_VERSION, $needs, '<')) {

    $error .= 'Нужная версия PHP - <b>' . $needs . '</b> и выше, а у вас - <b>' . PHP_VERSION . '</b><br />';

}

/* Проверка расширений */

foreach ($extensions as $name) {

    if (!extension_loaded($name)) {

        $error .= 'Включите расширение <b>' . $name . '</b><br />';

    }

}

/* Вывод предупреждений */

if ($error) {

    $error .= '<h2>ERROR</h2>';

    die($error);

}