<?php
$title = 'Форум';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");

if (isset($active) && $sys['modules']['forum'] == 1) { 

    $strow_top = $connect->prepare("select * from `topic` where `id` = ?");
    $strow_top->execute(array($id));
    $n_row = $strow_top->fetch(PDO::FETCH_LAZY);

    if ($n_row) {

        // категория
        $stmt_kat = $connect->prepare("select * from `kat` where `type` = '2' and `id` = ?");
        $stmt_kat->execute(array($n_row['kat']));
        $krow = $stmt_kat->fetch(PDO::FETCH_LAZY); 

        // up
        $up = $connect->prepare("update `topic` set `up` = ? where `id` = ?");

        // тип
        $type = 3;
        // количество комментариев
        $stmt_comm->execute(array($id, $type));
        $count_comm = $stmt_comm->fetchColumn();

        echo '<div class="title">'.$n_row['name'].'</div>';

        if (isset($_GET['del_n']) && $adm_id == 1 || $adm_id == 5) {
            if (isset($_POST['ok'])) {
                $del_topic = $connect->prepare("delete from `topic` where `id` = ?");
                $del_comm = $connect->prepare("delete from `comments` where `did` = ? and `type` = ?"); 
                if ($del_topic->execute(array($id)) && $del_comm->execute(array($id, $type))) {
                    header ('location: /forum');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /forum/topic/'.$id);
            }
            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="ok" value="Удалить">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        }
        elseif (isset($_GET['edit_n']) && $n_row['uid'] == $user['id'] && $n_row['status'] == 1 && $count_comm == 0) {
            if (isset($_POST['cancel'])) {
                header('Location: /forum/topic/'.$id); 
            }
            elseif (isset($_POST['red'])) {
                $error = '';
                if (empty($_POST['name'])) {
                    $error.= 'Введите название темы!<br/>';
                }
                elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 50) {
                    $error.= 'Название темы должно содержать не менее 5 и не более 50 символов!<br/>';
                }
                if (empty($_POST['text'])) {
                    $error.= 'Введите сообщение!<br/>';
                }
                elseif (mb_strlen($_POST['text']) < 10 || mb_strlen($_POST['text']) > 25000) {
                    $error.= 'Сообщение должно содержать не менее 10 и не более 25000 символов!<br/>';
                } 
                if ($error) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("update `topic` set `name` = ?, `text` = ? where `id` = ?");
                    if ($stmt->execute(array($_POST['name'], $_POST['text'], $id))) {
                        header('Location: /forum/topic/'.$id); 
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            Название темы:<br/><input type="text" name="name" value="'.$n_row['name'].'"><br/>
            Сообщение:<br/><textarea name="text" rows="5" cols="30">'.$n_row['text'].'</textarea><br/>
            <input type="submit" name="red" value="Сохранить">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        }
        elseif (isset($_GET['kat']) && ($n_row['uid'] == $user['id'] || $adm_id == 1 || $adm_id == 3 || $adm_id == 5)) {
            if (isset($_POST['cancel'])) {
                header('Location: /forum/topic/'.$id); 
            }
            elseif (isset($_POST['ok'])) {
                $stmt = $connect->prepare("update `topic` set `kat` = ? where `id` = ?");
                if ($stmt->execute(array($_POST['kat'], $id))) {
                    header('Location: /forum/topic/'.$id); 
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            Раздел форума:<br/><select name="kat">';

            $sql = $connect->query("select * from `kat` where `type` = '2' order by `id` desc")->fetchAll();

            foreach ($sql as $kat_row) {

                echo '<option ' . ($n_row['kat'] == $kat_row['id'] ? 'selected' : '') . ' value="'.$kat_row['id'].'">'.$kat_row['name'].'</option>';

            }

            echo '</select><br/> 
            <input type="submit" name="ok" value="Перенести">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        }
        elseif (isset($_GET['up']) && $n_row['uid'] == $user['id'] && $n_row['status'] == 1 && $n_row['up'] < time() - 3600 * $sys['system']['forum_up']) {
            $up->execute(array(time(), $id));
            header('Location: /forum/topic/'.$id);
        }
        elseif (isset($_GET['close']) && ($n_row['uid'] == $user['id'] || $adm_id == 1 || $adm_id == 3 || $adm_id == 5) && $n_row['status'] == 1) {
            if (isset($_POST['ok'])) {
                $stmt = $connect->prepare("update `topic` set `status` = '0' where `id` = ?");
                if ($stmt->execute(array($id))) {
                    header('Location: /forum/topic/'.$id); 
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /forum/topic/'.$id);
            }
            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="ok" value="Закрыть тему">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>'; 
        }
        elseif (isset($_GET['pt']) && $n_row['uid'] == $user['id']) {
            if ($count_pt < $sys['system']['ft_limit'] || $n_row['top'] > time()) {
                if (isset($_POST['cancel'])) {
                    header('Location: /forum/topic/'.$id); 
                }
                elseif (isset($_POST['ok'])) {

                    $error = '';

                    $days = intval(abs($_POST['days']));
                    $sum = $sys['system']['ft_cena'] * $days;

                    if (empty($days)) {
                        $error.= 'Введите количество дней!<br/>';
                    }
                    elseif ($user['money'] < $sum) {
                        $error.= 'Недостаточно средств!<br/>';
                    }
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {

                        $time = $n_row['top'] > time() ? $n_row['top'] : time();
                        $top = $time + 3600 * 24 * $days;

                        $stmt = $connect->prepare("update `topic` set `top` = ? where `id` = ?");

                        if (pay(-$sum, $user['id']) && $stmt->execute(array($top, $id))) {
                            header('Location: /forum/topic/'.$id); 
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                echo '<div class="menu">
                <form action="" method="POST">
                Количество дней:<br/><input type="text" name="days"><br/>
                <input type="submit" name="ok" value="'.($n_row['top'] > time() ? 'Продлить закрепление темы' : 'Закрепить тему').'">
                <input type="submit" name="cancel" value="Отмена">
                <div class="chi">Стоимость: '.quantDec($sys['system']['ft_cena'], ['рубль', 'рубля', 'рублей']).'/день</div>
                </form></div>';
            } else {
                echo '<div class="menu">
                Нет свободных мест!<br/>
                Следующее освободится: '.daytime($ptrow['top']).'<br/>
                Всего мест: '.$sys['system']['ft_limit'].'
                </div>';
            }
        } 

        echo '<div class="menu">
        '.nl2br(smiles(bb(bbyoutube(bblinks($n_row['text']))))).'<hr/>
        Автор: '.profileLink($n_row['uid']).'<br/>
        Дата публикации: '.daytime($n_row['time']).'
        <div class="butt2"> 
        '.($adm_id == 1 || $adm_id == 5 ? '<a href="?del_n">Удалить</a>' : '').
        ($n_row['uid'] == $user['id'] && $n_row['status'] == 1 && $count_comm == 0 ? '<a href="?edit_n">Редактировать</a>' : '').
        (($n_row['uid'] == $user['id'] || $adm_id == 1 || $adm_id == 3 || $adm_id == 5) ? '<a href="?kat">Перенести</a>' : '').
        ($n_row['uid'] == $user['id'] && $n_row['status'] == 1 && $n_row['up'] < time() - 3600 * $sys['system']['forum_up'] ? '<a href="?up">Поднять</a>' : '').
        ($n_row['uid'] == $user['id'] ? '<a href="?pt">'.($n_row['top'] > time() ? 'Продлить закрепление темы' : 'Закрепить тему').'</a>' : '').
        (($n_row['uid'] == $user['id'] || $adm_id == 1 || $adm_id == 3 || $adm_id == 5) && $n_row['status'] == 1 ? '<a href="?close">Закрыть </a>' : '').'
        </div>
        </div>';

        if ($n_row['uid'] == $user['id'] && $n_row['top'] > time())
            echo '<div class="menu">Тема закреплена до: '.date('d.m.Y H:i', $n_row['top']).'</div>';

        if ($n_row['uid'] == $user['id'] && $n_row['status'] == 1 && $n_row['up'] > time() - 3600 * $sys['system']['forum_up'])
            echo '<div class="menu">Следующий UP через '.restime($n_row['up'] - time() + 3600 * $sys['system']['forum_up']).'.</div>';

        // Кто в теме?
        $congestion = congestion($_SERVER['PHP_SELF'], $id);
        if ($congestion)
            echo '<div class="foot-menu">Сейчас в теме ('.count($congestion).'): '.congestionOutputLinks($congestion, 25).'</div>';

        // prepared
        $stmt_num = $connect->prepare("select count(*) from `comments` where `id` = ? and `type` = ? and `did` = ?");
        $strow = $connect->prepare("select * from `comments` where `id` = ?");

        echo '<div class="title">Комментарии ('.$count_comm.')</div>';

        if ($n_row['status'] == 1) {

            include($_SERVER["DOCUMENT_ROOT"]."/inc/smiles_bb.php");

            if (isset($_GET['edit'])) {
                $stmt_num_edit = $connect->prepare("select count(*) from `comments` where `date` > ? and `uid` = ? and `id` = ? and `type` = ? and `did` = ?");
                $stmt_num_edit->execute(array(time() - 60, $user['id'], $_GET['edit'], $type, $id));
                if ($stmt_num_edit->fetchColumn()) {
                    $strow->execute(array($_GET['edit']));
                    $row = $strow->fetch(PDO::FETCH_LAZY);
                    if (isset($_POST['yes'])) {
                        $error = '';
                        if (empty($_POST['text'])) {
                            $error.= 'Введите сообщение!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) < 2) {
                            $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) > 2500) {
                            $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                        }
                        if ($error) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            $stmt = $connect->prepare("update `comments` set `text` = ? where `id` = ? limit 1");
                            if ($stmt->execute(array($_POST['text'], $_GET['edit']))) {
                                header('Location: /forum/topic/'.$id); 
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    elseif (isset($_POST['no'])) {
                        header('Location: /forum/topic/'.$id); 
                    }
                    echo '<div class="menu">
                    <form action="" method="POST">
                    Сообщение:<br/><textarea name="text" rows="5" cols="25">'.$row['text'].'</textarea><br/>
                    <input type="submit" name="yes" value="Сохранить ('.intval($_GET['edit']).')"/>
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('Location: /forum/topic/'.$id); 
                }
            }
            elseif (isset($_GET['cit'])) {
                $stmt_num->execute(array($_GET['cit'], $type, $id));
                if ($stmt_num->fetchColumn()) {
                    $strow->execute(array($_GET['cit']));
                    $row = $strow->fetch(PDO::FETCH_LAZY);
                    if (isset($_POST['yes'])) {
                        $error = '';
                        if ($user['datereg'] > time() - 3600 * $sys['system']['fludtime'] && $adm_id == 0) {
                            $error.= 'Для возможности отправлять сообщения с момента регистрации должно пройти: '.restime(3600 * $sys['system']['fludtime']).'!<br/>';
                        }
                        elseif (isset($_SESSION['guest_add']) && $_SESSION['guest_add'] > time() - $sys['system']['antiflud']) {
                            $error.= 'Антифлуд! Лимит - '.quantDec($sys['system']['antiflud'], ['секунда', 'секунды', 'секунд']).'!<br/>';
                        }
                        elseif (empty($_POST['text'])) {
                            $error.= 'Введите сообщение!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) < 2) {
                            $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) > 2500) {
                            $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                        }
                        if ($error) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            if ($in_comment->execute(array(time(), $user['id'], $_POST['text'], $id, $type))) {
                                if ($n_row['uid'] != $user['id']) {
                                    $up->execute(array(time(), $id));
                                    notification('[b]'.$user['login'].'[/b] оставил комментарий в вашей теме на форуме [url='.ROOT.'/forum/topic/'.$id.']'.$n_row['name'].'[/url].', $n_row['uid']);
                                }
                                if ($row['uid'] != $user['id'] && $row['uid'] != $n_row['uid'])
                                    notification('[b]'.$user['login'].'[/b] процитировал ваше сообщение в [url='.ROOT.'/forum/topic/'.$id.']Теме на форуме[/url].', $row['uid']);
                                ratingUser($sys['rating']['chat'], $user['id']);
                                if ($sys['system']['fcp'] > 0 && $n_row['uid'] != $user['id'])
                                    pay($sys['system']['fcp'], $user['id']);
                                $_SESSION['guest_add'] = time();
                                header('Location: /forum/topic/'.$id); 
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    elseif (isset($_POST['no'])) {
                        header('Location: /forum/topic/'.$id); 
                    }
                    echo '<div class="menu">
                    <form action="" method="POST">
                    Сообщение:<br/><textarea name="text" rows="5" cols="25">[cit]'.str_replace(['[cit]', '[/cit]'], null, '[u]'.(user($row['uid']) ? user($row['uid'])['login'] : 'DELETED').'[/u] ('.daytime($row['date']).')[br]'.$row['text']).'[/cit][br]</textarea><br/>
                    <input type="submit" name="yes" value="Цитировать ('.intval($_GET['cit']).')"/>
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('Location: /forum/topic/'.$id); 
                }
            } else {
                if (isset($_POST['refresh'])) {
                    header('Location: /forum/topic/'.$id);
                }
                elseif (isset($_POST['addmess'])) {
                    $error = '';
                    if ($user['datereg'] > time() - 3600 * $sys['system']['fludtime'] && $adm_id == 0) {
                        $error.= 'Для возможности отправлять сообщения с момента регистрации должно пройти: '.restime(3600 * $sys['system']['fludtime']).'!<br/>';
                    }
                    elseif (isset($_SESSION['guest_add']) && $_SESSION['guest_add'] > time() - $sys['system']['antiflud']) {
                        $error.= 'Антифлуд! Лимит - '.quantDec($sys['system']['antiflud'], ['секунда', 'секунды', 'секунд']).'!<br/>';
                    }
                    elseif (empty($_POST['text'])) {
                        $error.= 'Введите сообщение!<br/>';
                    }
                    elseif (mb_strlen($_POST['text']) < 2) {
                        $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                    }
                    elseif (mb_strlen($_POST['text']) > 2500) {
                        $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                    }
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        if ($in_comment->execute(array(time(), $user['id'], $_POST['text'], $id, $type))) {
                            if ($n_row['uid'] != $user['id']) {
                                $up->execute(array(time(), $id)); 
                                notification('[b]'.$user['login'].'[/b] оставил комментарий в вашей теме на форуме [url='.ROOT.'/forum/topic/'.$id.']'.$n_row['name'].'[/url].', $n_row['uid']);
                            }
                            if (isset($_GET['ans']) && $_GET['ans'] != $user['id'] && $_GET['ans'] != $n_row['uid'])
                                notification('[b]'.$user['login'].'[/b] ответил вам в [url='.ROOT.'/forum/topic/'.$id.']Теме на форуме[/url].', $_GET['ans']);
                            ratingUser($sys['rating']['chat'], $user['id']);
                            if ($sys['system']['fcp'] > 0 && $n_row['uid'] != $user['id'])
                                pay($sys['system']['fcp'], $user['id']);
                            $_SESSION['guest_add'] = time();
                            header('Location: /forum/topic/'.$id); 
                        } else {
                            echo '<div class="menu">Ошибка при добавлении сообщения!</div>';
                        }
                    }
                }
                echo '<form name="form" action="" method="POST">
                <div class="menu">
                Сообщение:<br/><textarea name="text" rows="5" cols="25">'.(isset($_GET['ans']) && user($_GET['ans']) && $_GET['ans'] != $user['id'] ? '[b]'.user($_GET['ans'])['login'].'[/b], ' : '').'</textarea><br/>
                <input type="submit" name="addmess" value="Написать"/>
                <input type="submit" name="refresh" value="Обновить">
                </form></div>';
            }
        } else {
            echo '<div class="menu">Тема закрыта!</div>'; 
        }

        // модератору
        if ($adm_id == 1|| $adm_id == 3 || $adm_id == 5) {
            if (isset($_GET['del'])) {
                $stmt_num->execute(array($_GET['del'], $type, $id));
                if ($stmt_num->fetchColumn()) {
                    if (isset($_POST['yes'])) {
                        $stmt = $connect->prepare("delete from `comments` where `id` = ?");
                        if ($stmt->execute(array($_GET['del']))) {
                            header('Location: /forum/topic/'.$id);
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        } 
                    }
                    elseif (isset($_POST['no'])) {
                        header('Location: /forum/topic/'.$id);
                    }
                    echo '<div class="menu">
                    <form action="" method="POST">
                    <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/>
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('Location: /forum/topic/'.$id);
                }
            }
            elseif (isset($_GET['clear'])) {
                if (isset($_POST['yes'])) {
                    $clear = $connect->prepare("delete from `comments` where `did` = ? and `type` = ?");
                    if ($clear->execute(array($id, $type))) {
                        header('Location: /forum/topic/'.$id);
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /forum/topic/'.$id);
                }
                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="Подтвердить очистку темы"/>
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            } else {
                echo '<div class="forlink"><a href="?clear" class="links"><img src="/img/clear.png" alt="clear">Очистить тему</a></div>'; 
            }
        }

        if ($count_comm == 0) {
            echo '<div class="menu">Комментариев нет!</div>';
        } else {

            $page = new Pagination($count_comm, 10);

            $data = $connect->prepare("select * from `comments` where `did` = :did and `type` = :type order by `id` desc limit :start, 10");
            $data->bindValue(':did', $id, PDO::PARAM_INT);
            $data->bindValue(':type', $type, PDO::PARAM_INT);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {

                echo '<div class="menu">'.profileLink($row['uid']).' ('.daytime($row['date']).')<span class="online">'.online($row['uid']).'</span>
                <div class="butt1">
                '.(user($row['uid']) && $row['uid'] != $user['id'] ? '<a href="?ans='.$row['uid'].'">Отв.</a>' : '').'<a href="?cit='.$row['id'].'">Цит.</a>'.($row['date'] > time() - 60 && $row['uid'] == $user['id'] ? '<a href="?edit='.$row['id'].'">Ред.</a>' : '').
                (($adm_id == 1 || $adm_id == 3 || $adm_id == 5) ? '<a href="?del='.$row['id'].'">Уд.</a>' : '').'
                </div><hr/>'.nl2br(smiles(bb(bblinks($row['text'])))).'</div>';

            }

            $page->navigation();

        }

        if ($krow)
            echo '<div class="forlink"><a href="/forum/category/'.$krow['id'].'" class="links"><img src="/img/top.png" alt="kat">'.$krow['name'].'</a></div>';

        echo '<div class="forlink"><a href="/forum" class="links" ><img src="/img/forum.png" alt="">Форум</a></div>';

    } else {
        header('Location: /forum');
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>