<?php
$title = 'Переписка';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    if (user($id) && !in_blacklist($user['id'], $id) && !in_blacklist($id, $user['id'])) {

        $auth = authlog($id);

        if ($id == $user['id']) {

            header('Location: /mail');

        } else {

            echo '<div class="title">Переписка<span class="count">'.profileLink($id).'</span></div>';

            $stmt_new_count = $connect->prepare("select count(*) from `mail` where `to` = ? and `from` = ? and `read` = '0'");
            $stmt_new_count->execute(array($user['id'], $id));

            if ($stmt_new_count->fetchColumn()) {

                // Помечаем как прочитанное
                $stmt = $connect->prepare("update `mail` set `read` = '1' where `to` = ? and `from` = ?");
                $stmt->execute(array($user['id'], $id));

                exit(header('Location: /mail/read/'.$id));

            }

            if (!online($id) && $auth)
                echo '<div class="menu">Последний визит: '.daytime($auth['lasttime']).deviceIcon($auth['ua']).'</div>';

            if (privateMail($id, $user['id'])) {

                include($_SERVER["DOCUMENT_ROOT"]."/inc/smiles_bb.php");

                $in_mail = $connect->prepare("insert into `mail` set `time` = ?, `from` = ?, `to` = ?, `text` = ?, `file` = ?");
                $strow = $connect->prepare("select * from `mail` where `id` = ?");
                $stmt_num = $connect->prepare("select count(*) from `mail` where (`to` = :who and `from` = :user or `to` = :user and `from` = :who) and `id` = :id");
                $stmt_num_file = $connect->prepare("select count(*) from `mail` where `from` = ? and `to` = ?  and `id` = ?");
                $stmt_num_edit = $connect->prepare("select count(*) from `mail` where `read` = '0' and `time` > ? and `from` = ? and `to` = ? and `id` = ?");

                if (isset($_GET['file'])) {
                    $stmt_num_file->execute(array($user['id'], $id, $_GET['file']));
                    if ($stmt_num_file->fetchColumn()) {
                        $strow->execute(array($_GET['file']));
                        $row = $strow->fetch(PDO::FETCH_LAZY);
                        $file = $_SERVER["DOCUMENT_ROOT"]."/files/".$row['file'];
                        if (is_file($file)) {
                            if (isset($_POST['yes'])) {
                                unlink($file);
                                header('Location: /mail/read/'.$id);
                            }
                            elseif (isset($_POST['no'])) {
                                header('Location: /mail/read/'.$id);
                            }
                            echo '<div class="menu">
                            <form action="" method="POST">
                            <input type="submit" name="yes" value="Удалить файл '.$row['file'].'"/>
                            <input type="submit" name="no" value="Отмена"/>
                            </form></div>';
                        } else {
                            header('Location: /mail/read/'.$id);
                        }
                    } else {
                        header('Location: /mail/read/'.$id);
                    }
                } 
                elseif (isset($_GET['edit'])) {
                    $stmt_num_edit->execute(array(time() - 300, $user['id'], $id, $_GET['edit']));
                    if ($stmt_num_edit->fetchColumn()) {
                        $strow->execute(array($_GET['edit']));
                        $row = $strow->fetch(PDO::FETCH_LAZY);
                        if (isset($_POST['yes'])) {
                            $error = '';
                            if (empty($_POST['text'])) {
                                $error.= 'Введите сообщение!<br/>';
                            }
                            elseif (mb_strlen($_POST['text']) < 2) {
                                $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                            }
                            elseif (mb_strlen($_POST['text']) > 25000) {
                                $error.= 'Текст должен содержать не более 25000 символов!<br/>';
                            }
                            if ($error) {
                                echo '<div class="menu">'.$error.'</div>';
                            } else {
                                $stmt = $connect->prepare("update `mail` set `text` = ? where `id` = ?");
                                if ($stmt->execute(array($_POST['text'], $_GET['edit']))) {
                                    header('Location: /mail/read/'.$id);
                                } else {
                                    echo '<div class="menu">Произошла ошибка!</div>';
                                }
                            }
                        }
                        elseif (isset($_POST['no'])) {
                            header('Location: /mail/read/'.$id);
                        }
                        echo '<div class="menu">
                        <form action="" method="POST">
                        Сообщение:<br/><textarea name="text" rows="5" cols="25">'.$row['text'].'</textarea><br/>
                        <input type="submit" name="yes" value="Сохранить ('.intval($_GET['edit']).')"/>
                        <input type="submit" name="no" value="Отмена"/>
                        </form></div>';
                    } else {
                        header('Location: /mail/read/'.$id);
                    }
                }
                elseif (isset($_GET['cit'])) {
                    $stmt_num->execute(array(':who' => $user['id'], ':user' => $id, ':id' => $_GET['cit']));
                    if ($stmt_num->fetchColumn()) {
                        $strow->execute(array($_GET['cit']));
                        $row = $strow->fetch(PDO::FETCH_LAZY);
                        if (isset($_POST['yes'])) {
                            $error = '';
                            if ($user['datereg'] > time() - 3600 * $sys['system']['fludtime'] && $adm_id == 0) {
                                $error.= 'Для возможности отправлять сообщения с момента регистрации должно пройти: '.restime(3600 * $sys['system']['fludtime']).'!<br/>';
                            } else {
                                if (empty($_POST['text'])) {
                                    $error.= 'Введите сообщение!<br/>';
                                }
                                elseif (mb_strlen($_POST['text']) < 2) {
                                    $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                                }
                                elseif (mb_strlen($_POST['text']) > 25000) {
                                    $error.= 'Текст должен содержать не более 25000 символов!<br/>';
                                }
                                if (file_exists($_FILES['filename']['tmp_name'])) {
                                    $files = random_int(11111, 99999)."_".$_FILES['filename']['name'];
                                    if (!in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif', 'zip', 'rar', '7z']) || in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif']) && !exif_imagetype($_FILES['filename']['tmp_name'])) {
                                        $error.= 'Неверный тип файла!<br/>';
                                    }
                                    if ($_FILES['filename']['size'] > 1048576 * 5) {
                                        $error.= 'Максимальный размер файла - 5 Mb!<br/>';
                                    }
                                }
                            }
                            if ($error) {
                                echo '<div class="menu">'.$error.'</div>';
                            } else {
                                if ($in_mail->execute(array(time(), $user['id'], $id, $_POST['text'], $files ?? false))) {
                                    // Добавляем в контакты
                                    contact_add($user['id'], $id);
                                    // Очки дружбы
                                    friendPoint($user['id'], $id);
                                    if (file_exists($_FILES['filename']['tmp_name']))
                                        move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                                    $_SESSION['guest_add'] = time();
                                    header('Location: /mail/read/'.$id);
                                } else {
                                    echo '<div class="menu">Произошла ошибка!</div>';
                                }
                            }
                        }
                        elseif (isset($_POST['no'])) {
                            header('Location: /mail/read/'.$id);
                        }
                        echo '<div class="menu">
                        <form action="" method="POST" enctype="multipart/form-data">
                        Сообщение:<br/><textarea name="text" rows="5" cols="25">[cit]'.str_replace(['[cit]', '[/cit]'], null, '[u]'.user($row['from'])['login'].'[/u] ('.daytime($row['time']).')[br]'.$row['text']).'[/cit][br]</textarea><br/>
                        Прикрепить файл:<br/><input type="file" name="filename"><br />
                        <input type="submit" name="yes" value="Цитировать ('.intval($_GET['cit']).')"/>
                        <input type="submit" name="no" value="Отмена"/>
                        </form></div>';
                    } else {
                        header('Location: /mail/read/'.$id);
                    }
                } else {
                    if (isset($_POST['refresh'])) {
                        header('Location: /mail/read/'.$id);
                    }
                    elseif (isset($_POST['addmess'])) {
                        $error = '';
                        if ($user['datereg'] > time() - 3600 * $sys['system']['fludtime'] && $adm_id == 0) {
                            $error.= 'Для возможности отправлять сообщения с момента регистрации должно пройти: '.restime(3600 * $sys['system']['fludtime']).'!<br/>';
                        } else {
                            if (empty($_POST['text'])) {
                                $error.= 'Введите сообщение!<br/>';
                            }
                            elseif (mb_strlen($_POST['text']) < 2) {
                                $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                            }
                            elseif (mb_strlen($_POST['text']) > 25000) {
                                $error.= 'Текст должен содержать не более 25000 символов!<br/>';
                            }
                            if (file_exists($_FILES['filename']['tmp_name'])) {
                                $files = random_int(11111, 99999)."_".$_FILES['filename']['name'];
                                if (!in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif', 'zip', 'rar', '7z']) || in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif']) && !exif_imagetype($_FILES['filename']['tmp_name'])) {
                                    $error.= 'Неверный тип файла!<br/>';
                                }
                                if ($_FILES['filename']['size'] > 1048576 * 5) {
                                    $error.= 'Максимальный размер файла - 5 Mb!<br/>';
                                }
                            }
                        }
                        if ($error) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            if ($in_mail->execute(array(time(), $user['id'], $id, $_POST['text'], $files ?? false))) {
                                // Добавляем в контакты
                                contact_add($user['id'], $id);
                                // Очки дружбы
                                friendPoint($user['id'], $id);
                                if (file_exists($_FILES['filename']['tmp_name']))
                                    move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                                header('Location: /mail/read/'.$id);
                            } else {
                                echo '<div class="menu">Ошибка при добавлении сообщения!</div>';
                            }
                        }
                    }
                    echo '<div class="menu">
                    <form name="form" action="" method="POST" enctype="multipart/form-data">
                    Сообщение:<br/><textarea name="text" rows="5" cols="25"></textarea><br/>
                    Прикрепить файл:<br/><input type="file" name="filename"><br />
                    <input type="submit" name="addmess" value="Написать"/>
                    <input type="submit" name="refresh" value="Обновить">
                    </form></div>';
                }
            } else {
                echo '<div class="menu">Данному пользователю могут отправлять сообщения только друзья!</div>';
            }

            $stmt_count = $connect->prepare("select count(*) from `mail` where (`to` = :who and `from` = :user) or (`to` = :user and `from` = :who)");
            $stmt_count->bindValue(':who', $user['id'], PDO::PARAM_INT);
            $stmt_count->bindValue(':user', $id, PDO::PARAM_INT);
            $stmt_count->execute();
            $count = $stmt_count->fetchColumn();

            if ($count == 0) {
                echo '<div class="menu">Сообщений нет!</div>';
            } else {

                $page = new Pagination($count, 10);

                $data = $connect->prepare("select * from `mail` where `to` = :who and `from` = :user or `to` = :user and `from` = :who order by `id` desc limit :start, 10");
                $data->bindValue(':who', $user['id'], PDO::PARAM_INT);
                $data->bindValue(':user', $id, PDO::PARAM_INT);
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {

                    $file = $_SERVER["DOCUMENT_ROOT"]."/files/".$row['file'];

                    echo '<div class="menu">'.profileLink($row['from']).' </a> ('.daytime($row['time']).') '.($row['read'] == 0 ? '<small>Не прочитано</small>' : '').'<span class="online">'.online($row['from']).'</span>
                    <div class="butt1">
                    <a href="?cit='.$row['id'].'">Цит.</a>'.($row['time'] > time() - 300 && $row['read'] == 0 && $row['from'] == $user['id'] ? '<a href="?edit='.$row['id'].'">Ред.</a>' : '').'
                    </div>
                    <hr/>'.nl2br(smiles(bb(bbyoutube(bblinks($row['text']))))).
                    (is_file($file) ? '<hr/>Файл: <img src="/img/attach.png" alt="attach"><a href="/files/'.$row['file'].'">'.$row['file'].'</a> ('.get_filesize($file).')'.($row['from'] == $user['id'] ? '<a href="?file='.$row['id'].'"><img src="/img/delete.png" alt="delete"></a>' : '') : '').'
                    </div>';

                }

                $page->navigation();

            }
        }
    } else {
        header('Location: /mail');
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>