<?php
$title = 'Корзина';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['modules']['shop'] == 1) {
    echo '<div class="title">Корзина ('.$user_bk.')</div>';

    $strow = $connect->prepare("select * from `shop` where `id` = ?");

    if ($user_bk == 0) {
        echo '<div class="menu">В корзине пусто.</div>';
    } else {

        $page = new Pagination($user_bk, 10);

        $data = $connect->prepare("select * from `basket` where `uid` = :uid order by `id` desc limit :start, 10");
        $data->bindValue(':uid', $user['id'], PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $strow->execute(array($row['pid']));
            $s_row = $strow->fetch(PDO::FETCH_LAZY);

            echo '<div class="forlink">
            <a href="/shop/product/'.$s_row['id'].'" class="links">
            <img src="/img/product.png" alt="product">'.$s_row['name'].'
            <div class="chi">'.quantDec($s_row['cena'], ['рубль', 'рубля', 'рублей']).'</div>
            </a></div>';

        }

        $page->navigation();

    }

    echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt="">Магазин скриптов</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>